
function googleMap(){
	var data =carList;
	var lat = 0;
	var lng = 0;
	if(carList != "null" && carList!="" && carList!= null){
		if(data.flag==true){
			for(i=0;i<data.data.length;i++){
				if(data.data[i].positionLast.lat != 0 &&data.data[i].positionLast.lng != 0){
					lat = data.data[i].positionLast.lat;
					lng = data.data[i].positionLast.lng;
					break;
				}
			}
			if(lat==null && lng ==null){
				var mapOptions = {
						center: new google.maps.LatLng(31.23, 121.47),
						zoom: 4,
						mapTypeId: google.maps.MapTypeId.ROADMAP,
						mapTypeControlOptions: {
					mapTypeIds: [google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID, google.maps.MapTypeId.SATELLITE, "MAPabc"]
				}
				};
				map = new google.maps.Map(document.getElementById("map_canvas"),mapOptions);
				addMAPabc(map);
				var geocoder = new google.maps.Geocoder();
				geocoder.geocode( { 'address': remote_ip_info.city}, function(results, status) { 
					if (status == google.maps.GeocoderStatus.OK) { 
						map.setCenter(results[0].geometry.location);
						map.setZoom(8);
					} else { 
						//alert("Geocode was not successful for the following reason: " + status); 
					} 
				});
			}else{
				if(alSwitch == false){
					countDown();//每隔15秒执行函数al
					alSwitch = true;
				}
				var obj = getUserStatus();
				if(obj==null){
					mapOptions = {
							center: new google.maps.LatLng(lat,lng),
							zoom: 10,
							mapTypeId: google.maps.MapTypeId.ROADMAP,
							mapTypeControlOptions: {
								mapTypeIds: [google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID, google.maps.MapTypeId.SATELLITE, "MAPabc"]
							}
					};
				}else{
					var zoom;
					if(obj.bzoom == "" || obj.bzoom==null){
						zoom=6;
					}else{
						zoom=obj.bzoom-1;
					}
					mapOptions = {
							center: new google.maps.LatLng(obj.lat,obj.lng),
							zoom: zoom,
							mapTypeId: google.maps.MapTypeId.ROADMAP,
							mapTypeControlOptions: {
								mapTypeIds: [google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID, google.maps.MapTypeId.SATELLITE, "MAPabc"]
							}
					};
				}
				map = new google.maps.Map(document.getElementById("map_canvas"),mapOptions);
				addMAPabc(map);
				for(i=0;i<data.data.length;i++){
					(function(x){
						var myLatlng = new google.maps.LatLng(data.data[x].positionLast.lat,data.data[x].positionLast.lng);
						var s=10;
						var condition=data.data[x].positionLast.state2;
						var sp = parseInt(data.data[x].positionLast.speed);
						if (condition != null) {
							if (condition.indexOf("不在线")>=0 || condition.indexOf("掉线")>=0)
								s = 2;
							else {
								if (condition.indexOf("速报警")>=0)
									s = 4;
								else if (condition.indexOf("报警")>=0)
									s = 3;
								else if (sp > 0.5)
									s = 0;
								else
									s = 1;
							}
							if (s != 4 && s != 3 && condition.indexOf("停车")>=0
									&& !condition.indexOf("不在线")>= 0)
							{
								if(condition.indexOf("停车超时")>=0){
									s = 5;	
								}else{
									s = 6;
								}
							}
						}else{
							if (sp > 0.5)
								s = 0;
							else
								s = 1;
						}
						if( data.data[i].positionLast.av == 0 ){
							s=7;
						}
						var newtime = new Date().getTime();
						var ttime =data.data[i].positionLast.recvtime.replace("-","/");
						ttime=ttime.replace("-","/");
						ttime=ttime.replace("T"," ");
						var oldtime = new Date(ttime).getTime();
						if(newtime-oldtime > 600000){
							s=2;
						}
						var state =s;
						var pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/red_0.gif";
						if(state == 0) pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/green_";
						else if(state == 1) pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/red_";
						else if(state == 2) pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/gray_";
						else if(state == 3) pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/yellow_";
						else if(state == 4) pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/pink_";
						else if(state == 5) pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/stopalarm";
						else if(state == 7) pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/blue_";
						else pngicon = "gpsonline/image/pic/"+data.data[x].icon+"/red_";
						var direction="";
						var t = parseInt(data.data[x].positionLast.direct);
						if(t>27 && t<=72){
							if(state == 5){
								var image=".gif";
							}else{
								var image="45.gif";
							}
							direction="东北";
						}else if(t>72 && t<=117){
							if(state == 5){
								var image=".gif";
							}else{
								var image="90.gif";
							}
							direction="东";
						}
						else if(t>117 && t<=162){
							if(state == 5){
								var image=".gif";
							}else{
								var image="135.gif";
							}
							direction="东南";
						}
						else if(t>162 && t<=207){
							if(state == 5){
								var image=".gif";
							}else{
								var image="180.gif";
							}
							direction="南";
						}
						else if(t>207 && t<=252){
							if(state == 5){
								var image=".gif";
							}else{
								var image="225.gif";
							}
							direction="西南";
						}
						else if(t>252 && t<=297){
							if(state == 5){
								var image=".gif";
							}else{
								var image="270.gif";
							}
							direction="西";
						}
						else if(t>297 && t<=342){
							if(state == 5){
								var image=".gif";
							}else{
								var image="315.gif";
							}
							direction="西北";
						}
						else {
							if(state == 5){
								var image=".gif";
							}else{
								var image="0.gif";
							}
							direction="北";
						}

						var icon_size=real(data.data[x].icon);
						var marker = new google.maps.Marker({
							position: myLatlng,
							map: map,
							icon: new google.maps.MarkerImage(pngicon+image, new google.maps.Size(icon_size, icon_size),new google.maps.Point(0,0),new google.maps.Point(10, 10)),
							title:data.data[x].vhcCode
						});
						var carname = encodeURI(encodeURI(data.data[x].vhcCode)); 
						markersArray.push(marker);

						var temp,temp1,temp2,temp3,temp4;
						if(data.data[x].positionLast.temperature != null && data.data[x].positionLast.temperature <=127){
							temp=data.data[x].positionLast.temperature +" ℃";
						}else{
							temp="无效";
						}
						if(data.data[x].positionLast.temp1 != null && data.data[x].positionLast.temp1 <=127){
							temp1=data.data[x].positionLast.temp1 +" ℃";
						}else{
							temp1="无效";
						}
						if(data.data[x].positionLast.temp2 != null && data.data[x].positionLast.temp2 <=127){
							temp2=data.data[x].positionLast.temp2 +" ℃";
						}else{
							temp2="无效";
						}
						if(data.data[x].positionLast.temp3 != null && data.data[x].positionLast.temp3 <=127){
							temp3=data.data[x].positionLast.temp3 +" ℃";
						}else{
							temp3="无效";
						}
						if(data.data[x].positionLast.temp4 != null && data.data[x].positionLast.temp4 <=127){
							temp4=data.data[x].positionLast.temp4 +" ℃";
						}else{
							temp4="无效";
						}
						var contentString = "";	
						if(isHasPBackAut()){
							contentString = "<div id='app_"+data.data[x].id+"'><p>"+
							"<div id='app1_"+data.data[x].id+"' style='display:block'><b>设备名称：</b>"+data.data[x].vhcCode+"</br></div>"
							+"<div id='app18_"+data.data[x].id+"' style='display:block'><b>设备ID：</b>"+data.data[x].gprsCode+"</br></div>"
							+"<div id='app16_"+data.data[x].id+"' style='display:block'><b>到期时间：</b>"+(data.data[x].overduetime != null && data.data[x].overduetime.indexOf("19") != 0 ? data.data[x].overduetime:"")+"</br></div>"
							+"<div id='app17_"+data.data[x].id+"' style='display:block'><b>启用时间：</b>"+(data.data[x].posavtime != null && data.data[x].posavtime.indexOf("19") != 0 ? data.data[x].posavtime :"")+"</br></div>"

							+"<div id='app14_"+data.data[x].id+"' style='display:block'><b>备注：</b>"+data.data[x].remark+"</br></div>"
							+"<div id='app15_"+data.data[x].id+"' style='display:block'><b>经纬度：</b>"+data.data[x].positionLast.lng+","+data.data[x].positionLast.lat+"</br></div>"
							+"<div id='app11_"+data.data[x].id+"' style='display:block'><b>SIM卡号：</b>"+data.data[x].simCode+"</br></div>"
							+"<div id='app2_"+data.data[x].id+"' style='display:block'><b>服务器时间：</b>"+data.data[x].positionLast.recvtime+"</br></div>"
							+"<div id='app12_"+data.data[x].id+"' style='display:block'><b>GPS时间：</b>"+data.data[x].positionLast.recvtime+"</br></div>"
							+"<div id='app3_"+data.data[x].id+"' style='display:block'><b>速度：</b>"+data.data[x].positionLast.speed+" km/h </br></div>"
							+"<div id='app4_"+data.data[x].id+"' style='display:block'><b>方向：</b>"+direction+"</br></div>"
							+"<div id='app5_"+data.data[x].id+"' style='display:block'><b>温度：</b>"+temp+" | <b>温度1：</b>"+temp1+" | <b>温度2：</b>"+temp2+" | <b>温度3：</b>"+temp3+" | <b>温度4：</b>"+temp4+" </br></div>"
							+"<div id='app6_"+data.data[x].id+"' style='display:block'><b>油量：</b>"+data.data[x].positionLast.oilMN1+" L</br></div>"
							+"<div id='app7_"+data.data[x].id+"' style='display:block'><b>当日里程：</b>"+data.data[x].positionLast.distance+" km</br></div>"
							+"<div id='app8_"+data.data[x].id+"' style='display:block'><b>总里程：</b>"+data.data[x].positionLast.totalDistance+" km</br></div>"
							+"<div id='app9_"+data.data[x].id+"' style='display:block'><b>状态：</b>"+data.data[x].positionLast.state2+"</br></div>"
							+"<div id='app10_"+data.data[x].id+"' style='display:block'><b>位置：</b>"+data.data[x].positionLast.memo+"</br></div>"
							+"<div id='app13_"+data.data[x].id+"'><b>OBD/CAN数据：</b><a href='javascript:opobd("+data.data[x].id+");'><font color='#0000FF'>详细</font></a></br></div>"
							+"<a href='javascript:streeViewObject.open("+data.data[x].id+","+data.data[x].positionLast.lat+","+data.data[x].positionLast.lng+","+t+","+5+");'><font color='#0000FF'>街景</font> | </a><a href='"+url+"gpsonline/jsp/TrackMap.jsp?carid="+data.data[x].id+"&mapType=2' target='_blank'><font color='#0000FF'>跟踪</font> | </a><a href='"+url+"gpsonline/jsp/monitor/playBack.jsp?carid="+data.data[x].id+"&carname="+carname+"&icon="+data.data[x].icon+"' target='_blank'><font color='#0000FF'>回放</font> | </a>  <a href='javascript:;' ><font color='#0000FF' onclick=\"openDriverInfo("+data.data[x].id+");\" >驾驶员</font> | </a> <a href='javascript:;' ><font color='#0000FF' onclick=\"updateWeizhi("+data.data[x].id+");\" >刷新位置</font> | </a> <a id='more_"+data.data[x].id+"' href='javascript:;' onclick=\"showSecondMenu(this,event);\"><font color='#0000FF'>更多▼</font></a></p></div>";

						}else{
							contentString = "<div id='app_"+data.data[x].id+"'><p>"+
							"<div id='app1_"+data.data[x].id+"' style='display:block'><b>设备名称：</b>"+data.data[x].vhcCode+"</br></div>"
							+"<div id='app18_"+data.data[x].id+"' style='display:block'><b>设备ID：</b>"+data.data[x].gprsCode+"</br></div>"
							+"<div id='app16_"+data.data[x].id+"' style='display:block'><b>到期时间：</b>"+(data.data[x].overduetime != null && data.data[x].overduetime.indexOf("19") != 0 ? data.data[x].overduetime:"")+"</br></div>"
							+"<div id='app17_"+data.data[x].id+"' style='display:block'><b>启用时间：</b>"+(data.data[x].posavtime != null && data.data[x].posavtime.indexOf("19") != 0 ? data.data[x].posavtime :"")+"</br></div>"

							+"<div id='app14_"+data.data[x].id+"' style='display:block'><b>备注：</b>"+data.data[x].remark+"</br></div>"
							+"<div id='app15_"+data.data[x].id+"' style='display:block'><b>经纬度：</b>"+data.data[x].positionLast.lng+","+data.data[x].positionLast.lat+"</br></div>"
							+"<div id='app11_"+data.data[x].id+"' style='display:block'><b>SIM卡号：</b>"+data.data[x].simCode+"</br></div>"
							+"<div id='app2_"+data.data[x].id+"' style='display:block'><b>服务器时间：</b>"+data.data[x].positionLast.recvtime+"</br></div>"
							+"<div id='app12_"+data.data[x].id+"' style='display:block'><b>GPS时间：</b>"+data.data[x].positionLast.recvtime+"</br></div>"
							+"<div id='app3_"+data.data[x].id+"' style='display:block'><b>速度：</b>"+data.data[x].positionLast.speed+" km/h </br></div>"
							+"<div id='app4_"+data.data[x].id+"' style='display:block'><b>方向：</b>"+direction+"</br></div>"
							+"<div id='app5_"+data.data[x].id+"' style='display:block'><b>温度：</b>"+temp+" | <b>温度1：</b>"+temp1+" | <b>温度2：</b>"+temp2+" | <b>温度3：</b>"+temp3+" | <b>温度4：</b>"+temp4+" </br></div>"
							+"<div id='app6_"+data.data[x].id+"' style='display:block'><b>油量：</b>"+data.data[x].positionLast.oilMN1+" L</br></div>"
							+"<div id='app7_"+data.data[x].id+"' style='display:block'><b>当日里程：</b>"+data.data[x].positionLast.distance+" km</br></div>"
							+"<div id='app8_"+data.data[x].id+"' style='display:block'><b>总里程：</b>"+data.data[x].positionLast.totalDistance+" km</br></div>"
							+"<div id='app9_"+data.data[x].id+"' style='display:block'><b>状态：</b>"+data.data[x].positionLast.state2+"</br></div>"
							+"<div id='app10_"+data.data[x].id+"' style='display:block'><b>位置：</b>"+data.data[x].positionLast.memo+"</br></div>"
							+"<div id='app13_"+data.data[x].id+"'><b>OBD/CAN数据：</b><a href='javascript:opobd("+data.data[x].id+");'><font color='#0000FF'>详细</font></a></br></div>"
							+"<a href='javascript:streeViewObject.open("+data.data[x].id+","+data.data[x].positionLast.lat+","+data.data[x].positionLast.lng+","+t+","+5+");'><font color='#0000FF'>街景</font> | </a><a href='"+url+"gpsonline/jsp/TrackMap.jsp?carid="+data.data[x].id+"&mapType=2' target='_blank'><font color='#0000FF'>跟踪</font> | </a> <a href='javascript:;' ><font color='#0000FF' onclick=\"openDriverInfo("+data.data[x].id+");\" >驾驶员</font> | </a> <a href='javascript:;' ><font color='#0000FF' onclick=\"updateWeizhi("+data.data[x].id+");\" >刷新位置</font> | </a> <a id='more_"+data.data[x].id+"' href='javascript:;' onclick=\"showSecondMenu(this,event);\"><font color='#0000FF'>更多▼</font></a></p></div>";
						}
						
						//$(".gm-style-iw").html("++++++");
						var infowindow = new google.maps.InfoWindow({
							content: contentString
							//,zIndex:10
						});

						//var infowindow = new InfoBox(myOptions);
						google.maps.event.addListener(marker, "click", function (e) {
							markerObject.closeInfowindow();//关闭打开的标注弹出框
							if(menu!=null){
								menu.hide();
							}
							for(var i=0;i<vehicles.length;i++){
								vehicles[i].infowindow.close();
							}		
							centerMap(data.data[x].id,null,null)
							/*		    
			infowindow.open(map, this);
			var WinShowParms = getCurUserWinShowParms();
			//alert(WinShowParms);
			if(WinShowParms!=null){
				var app1_ = document.getElementById("app1_"+data.data[x].id);
				if(app1_ != null){
					app1_.style.display ="none";
					var app2_ = document.getElementById("app2_"+data.data[x].id);
					app2_.style.display ="none";
					var app3_ = document.getElementById("app3_"+data.data[x].id);
					app3_.style.display ="none";
					var app4_ = document.getElementById("app4_"+data.data[x].id);
					app4_.style.display ="none";
					var app5_ = document.getElementById("app5_"+data.data[x].id);
					app5_.style.display ="none";
					var app6_ = document.getElementById("app6_"+data.data[x].id);
					app6_.style.display ="none";
					var app7_ = document.getElementById("app7_"+data.data[x].id);
					app7_.style.display ="none";
					var app8_ = document.getElementById("app8_"+data.data[x].id);
					app8_.style.display ="none";
					var app9_ = document.getElementById("app9_"+data.data[x].id);
					app9_.style.display ="none";
					var app10_ = document.getElementById("app10_"+data.data[x].id);
					app10_.style.display ="none";
					var app11_ = document.getElementById("app11_"+data.data[x].id);
					app11_.style.display ="none";
					var app12_ = document.getElementById("app12_"+data.data[x].id);
					app12_.style.display ="none";
					var app13_ = document.getElementById("app13_"+data.data[x].id);
					app13_.style.display ="none";
					var app14_ = document.getElementById("app14_"+data.data[x].id);
					app14_.style.display ="none";
					var app15_ = document.getElementById("app15_"+data.data[x].id);
					app15_.style.display ="none";


					for(var ws=0;ws<WinShowParms.length;ws++){
			      		if(WinShowParms[ws]==1){
			      			app1_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==2){
			      			app2_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==3){
			      			app3_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==4){
			      			app4_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==5){
			      			app5_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==6){
			      			app6_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==7){
			      			app7_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==8){
			      			app8_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==9){
			      			app9_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==10){
			      			app10_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==11){
			      			app11_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==12){
			      			app12_.style.display ="block";
			      		}
			      		if(WinShowParms[ws]==13){
			      			app13_.style.display ="block";
			      		}
		      			if(WinShowParms[ws]==14){
			      			app14_.style.display ="block";
			      		}
		      			if(WinShowParms[ws]==15){
			      			app15_.style.display ="block";
			      		}
			      	}
			      	var app_ = document.getElementById("app_"+data.data[x].id);
					infowindow.setContent(app_);
				}

			}
							 */


							//document.getElementById('weizhi').innerHTML = data.data[x].vhcCode+"： " + data.data[x].positionLast.memo;
							//document.getElementById('weizhi').title = data.data[x].vhcCode+"： " + data.data[x].positionLast.memo;

							msgid= data.data[x].id;
							msgname= data.data[x].vhcCode;

						});
						var vehicle = new Object();
						vehicle.id = data.data[x].id;
						vehicle.vhcCode = data.data[x].vhcCode;
						vehicle.label = new LableMarker(map,data.data[x].vhcCode,myLatlng);
						//vehicle.label.setMap(null);
						vehicle.marker = marker;
						vehicle.icon = data.data[x].icon;
						vehicle.infowindow = infowindow;
						vehicle.latlng = myLatlng;
						vehicle.simCode = data.data[x].simCode;
						if(data.data[x].positionLast.lat == 0 &&data.data[x].positionLast.lng == 0){
							//vehicle.marker.setMap(null);
							//vehicle.label.setMap(null);
						}
						vehicles.push(vehicle);
					})(i);
				}	
			}
		}
	}else{
		var obj = getUserStatus();
		if(obj==null){
			var mapOptions = {
					center: new google.maps.LatLng(31.23, 121.47),
					zoom: 4,
					mapTypeId: google.maps.MapTypeId.ROADMAP,
					mapTypeControlOptions: {
				mapTypeIds: [google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID, google.maps.MapTypeId.SATELLITE, "MAPabc"]
			}
			};
			map = new google.maps.Map(document.getElementById("map_canvas"),
					mapOptions);
			addMAPabc(map);
			var geocoder = new google.maps.Geocoder(); 
			geocoder.geocode( { 'address': remote_ip_info.city}, function(results, status) { 
				if (status == google.maps.GeocoderStatus.OK) { 
					map.setCenter(results[0].geometry.location);
					map.setZoom(8);
				} else { 

				} 
			}); 
		}else{
			var zoom;

			if(obj.bzoom == "" || obj.bzoom==null){
				zoom=6;
			}else{
				zoom=obj.bzoom-1;
			}
			var mapOptions = {
					center: new google.maps.LatLng(obj.lat,obj.lng),
					zoom: zoom,
					mapTypeId: google.maps.MapTypeId.ROADMAP,
					mapTypeControlOptions: {
				mapTypeIds: [google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID, google.maps.MapTypeId.SATELLITE, "MAPabc"]
			}
			};
			map = new google.maps.Map(document.getElementById("map_canvas"),
					mapOptions);
			addMAPabc(map);
		}
	}
	google.maps.event.addListener(map, 'drag', function(){
		clearTimeout(yanchiAl);
		yanchiAl=setTimeout("al()",500);
	});
}

//加载谷歌地图js
function loadGoogleMapJs(){
	var flag = true;
	for ( var i = 0; i < 2; i++) {
		var script = document.createElement("script");
		script.type = "text/javascript";
		if(i==0){
			script.src = "http://ditu.google.cn/maps/api/js?v=3.0&sensor=false&libraries=drawing&key=AIzaSyDZis631eei5VArZqB-lP2DDOSgPrhLR5A";
		}else{
			script.src = "http://int.dpool.sina.com.cn/iplookup/iplookup.php?format=js";
		}
		if(flag){
			document.getElementsByTagName("head")[0].appendChild(script);
		}
	}
}
//地图切换加载谷歌地图功能
var mtriesLimtes = 0; //主界面 加载谷歌地图api 次数限制 超过10次  提示
function loadGoogle(){
	console.info("mtriesLimtes",mtriesLimtes);
	
	console.info("++++>"+(typeof(google)=="undefined"));
	if(typeof(google)=="undefined"){
		if(mtriesLimtes >= 10){
			alert("加载谷歌地图api失败,请稍后再试!");
			return;
		}
		setTimeout('loadGoogle()',1000);
		mtriesLimtes++;
		return;
	}
	if(num_s ==10 ){
		num_s = getRefreshTime();
		countDown();    //每隔15秒执行函数al
	}
//	console.info("=================================");
	vehicles.length=0;
	googleMap();
	//点击地图时关闭已经打开的弹出框
	mapclickEvent();
	//添加标注菜单
	addMarkerMenu();
	//添加所有标注  
	addAllMarker();
	electronicFence.tree.init();
	openFence();

	initMarkerisShow();
	if(namekg == false){
		namekg = true;
	}
	if(findbsCookie("isShowCarName") == true){
		$("#isShowCarName").attr("checked",true);
		namekg = true;
		showCarName();
	}
	ExliveMap.setMap(mapType);//设置地图类型
	SheFang.show();//显示所有设防设备设防区域
	closeMask();
	//try{ 
		// 继承自  google.maps.OverlayView
		LableMarker.prototype = new google.maps.OverlayView();
	//}catch(e){}
	// 当准备将 悬浮层 添加到地图上时 调用
	LableMarker.prototype.onAdd = function(){
		 var div = document.createElement('DIV');
		 div.style.border = 'none';
		 div.style.position='absolute';   
		 div.innerHTML = this.text_;   
		 this.div_ = div;   
		 var panes = this.getPanes();
		 panes.overlayLayer.appendChild(div);
	};
	  
	// 当第一次在地图上显示时 调用
	LableMarker.prototype.draw = function(){
		 var overlayProjection = this.getProjection();
		 var latLng = overlayProjection.fromLatLngToDivPixel(this.latLng_);
		 // 设置层的大小 和 位置
		 var div = this.div_;
		 var size = new google.maps.Size(10, -10); // 修正坐标的值;
		 div.style.left = (latLng.x + size.width) + 'px';
		 div.style.top = (latLng.y + size.height) + 'px';
	};
	// 当设置 悬浮层的 setMap(null) 会自动调用 
	LableMarker.prototype.onRemove = function(){
		 this.div_.parentNode.removeChild(this.div_);
		 this.div_ = null;
	};
}

$(window).load(function(){
	
});